/**
 * License Agreement.
 *
 *  JBoss RichFaces - Ajax4jsf Component Library
 *
 * Copyright (C) 2007  Exadel, Inc.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License version 2.1 as published by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
 */

package org.ajax4jsf.bean;

import java.util.ArrayList;
import java.util.List;

import javax.faces.model.SelectItem;

import org.ajax4jsf.template.Template;

public class TemplateBean {
    public static final String PARAM_NAME = "t";

    private Template template = Template.SIMPLE;

    /*
     * public void initTemplate (ActionEvent event) { Map<String, String>
     * reqMap =
     * FacesContext.getCurrentInstance().getExternalContext().getRequestParameterMap();
     * String template = reqMap.get(PARAM_NAME); this.template = template !=
     * null ? template : "simple"; }
     */

    public String getTemplateId() {
        return template.toString();
    }

    public void setTemplateId(String template) {
        this.template = Template.valueOf(template);
    }

    public String getParentId() {
        return template.getPrefix();
    }

    /**
     * @return the template
     */
    public String getTemplate() {
        return "../../template/" + template.getName() + ".xhtml";
    }

    /**
     * @param template
     *                the template to set
     */
    public void setTemplate(Template template) {
        this.template = template;
    }

    public List<SelectItem> getAvailableTemplates() {
        List<SelectItem> retVal = new ArrayList<SelectItem>();
        for (Template template : Template.values()) {
            retVal.add(new SelectItem(template.toString(), template.getDesc()));
        }

        return retVal;
    }

}